Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003571TestLinkNew Featurepublic2010-07-05 19:312010-10-09 08:01
Reportergaochinf 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 6 
Fixed in Version1.9 RC 1 
Summary0003571: Add 'create new version' choice when Import Test Suite
DescriptionWith Import Test Case, we are able to specify that the imported XML should add a new version to an existing test case if the name matches.

But with Import Test Suite, I always get a new suite and/or new test cases.

My particular need is to systematically update many test cases. So I am exporting the test suites to XML, modifying the XML file and re-importing into TestLink.

My feature request is to add the drop-down for 'create a new version' or 'generate new test case' or 'update latest versin' for the import of a test suite, similar to how a test case can be imported today.

The choice could be for all test cases in the XML where the test case name is the same as an existing test case in the database. In other words, do not need to specify the drop-down choice for a subset of the test cases in the XML.



Steps To ReproduceAssessed on both TL 1.8.5 and TL 1.9 Beta 5.
Additional Information(As a further improvement after the above feature request is resolved, it would be nice to have TestLink also detect when a duplicated name test case did not change. For example, after exporting say 10 testcase, modifying 8 in XML and re-importing, TestLink would update 8 test cases each with a new version and not change 2 test cases. This could be a 4th choice in the drop-down -- 'create new version only if different'. But I only mention this additional refinement to provide context and can submit a separate feature request after assessing the first request.)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFireFox 3.6
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon testlink19beta5-custom.zip [^] (33,111 bytes) 2010-08-03 00:50
zip file icon fix-3571.zip [^] (58,507 bytes) 2010-09-05 08:31

- Relationships
related to 0003240closedfman Provide action-on-duplicate option when import Testsuite. 
has duplicate 0003266closedfman Importing top level Test Suite update 

-  Notes
(0010775)
gaochinf (reporter)
2010-08-03 00:51

Uploaded example code where I added the case-duplicate GUI controls to the 'Import Test Suite' page.

Also re-use an test suite node whose name and level match.
(0010781)
fman (administrator)
2010-08-04 12:21

1. will review code and give feedback
2. please open a new issue regarding 'This could be a 4th choice in the drop-down -- 'create new version only if different'
with detailed requirements
(0010850)
gaochinf (reporter)
2010-08-12 20:22

The feature request for import-version-only-if-different is now tracked in 3675.
http://mantis.testlink.org/view.php?id=3675 [^]
(0011251)
yaliu_2000 (reporter)
2010-09-03 21:17

Please see issue 0003240. I have some implementation there. Hopefully, this feature will be in 1.9.

yan
(0011265)
fman (administrator)
2010-09-05 08:30

please try with attached fix, and let us know (fix-3571.zip)
(0011835)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2010-07-05 19:31 gaochinf New Issue
2010-08-03 00:50 gaochinf File Added: testlink19beta5-custom.zip
2010-08-03 00:51 gaochinf Note Added: 0010775
2010-08-04 12:21 fman Note Added: 0010781
2010-08-12 20:22 gaochinf Note Added: 0010850
2010-09-03 21:17 yaliu_2000 Note Added: 0011251
2010-09-04 13:35 fman Relationship added related to 0003240
2010-09-05 08:20 fman Status new => resolved
2010-09-05 08:20 fman Fixed in Version => 1.9 RC 1
2010-09-05 08:20 fman Resolution open => fixed
2010-09-05 08:20 fman Assigned To => fman
2010-09-05 08:30 fman Note Added: 0011265
2010-09-05 08:31 fman File Added: fix-3571.zip
2010-09-05 08:31 fman Product Version => 1.9 Beta 6
2010-09-05 08:31 fman Steps to Reproduce Updated View Revisions
2010-09-05 08:31 fman Additional Information Updated View Revisions
2010-09-05 08:31 fman Additional Information Updated View Revisions
2010-09-14 21:32 fman Relationship added has duplicate 0003266
2010-10-09 08:01 fman Note Added: 0011835
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker